Subject: Re: [MMUSIC] 10 BUNDLE questions: If the BUNDLE mids in the answer doesn't match the BUNDLE mids in the offer, what happens?

From: Christer Holmberg <[email-masked]>
Date: Thu, 25 Apr 2013 11:16:29 +0000

Hi,

>7. If the BUNDLE mids in the answer doesn't match the BUNDLE mids in the offer, what happens?

Conclusion: As people have been indicated, it would violate the rules in section 9.1 of RFC 5888 (see below), so it is considered a failure.

   "The "mid" attribute is an identifier for a particular media stream.
   Therefore, the "mid" value in the offer MUST be the same as the "mid"
   value in the answer."

Paul asked whether we need to say something about what the offerer should do in this case. But, personally I think it is implementation issue. RFC 5888 does not say how to handle these kind of cases either, so...

Also keep in mind that BUNDLE is a generic mechanism, but if W3C wants to describe what a browser shall do in this case, that's a separate story.

Draft impact: I suggest to add a note saying that, as defined in RFC 5888, the mid values in the SDP answer are required to match the values in the associated SDP offer.

Please indicate if you OBJECT to the conclusion, and/or if you DO NOT think we need to say anything about this in the draft.

Regards,

Christer